Note: This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support.
POST https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/configurationshttps://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/configurationshttps://api.datadoghq.eu/api/v2/incidents/{incident_id}/configurationshttps://api.ddog-gov.com/api/v2/incidents/{incident_id}/configurationshttps://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/configurationshttps://api.uk1.datadoghq.com/api/v2/incidents/{incident_id}/configurationshttps://api.datadoghq.com/api/v2/incidents/{incident_id}/configurationshttps://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/configurationshttps://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/configurations
Overview
Create a configuration for an incident.
This endpoint requires the incident_write permission.
OAuth apps require the incident_write authorization scope to access this endpoint.
Arguments
Path Parameters
The UUID of the incident.
Request
Body Data (required)
Incident configuration payload.
Expand All
Incident configuration data in a create request.
Attributes for creating an incident configuration.
Whether to execute integrations for this incident.
execute_notification_rules
Whether to execute notification rules for this incident.
Whether to include this incident in analytics.
Whether to include this incident in search results.
Incident configuration resource type.
Allowed enum values: incidents_configurations
{
"data": {
"attributes": {
"execute_integrations": true,
"execute_notification_rules": true,
"include_in_analytics": true,
"include_in_search": true
},
"type": "incidents_configurations"
}
}
Response
OK
Response with an incident configuration.
Expand All
Incident configuration data in a response.
Attributes of an incident configuration in a response.
Timestamp when the configuration was created.
Whether integrations are executed for this incident.
execute_notification_rules
Whether notification rules are executed for this incident.
Whether this incident is included in analytics.
Whether this incident is included in search results.
Timestamp when the configuration was last modified.
The incident configuration identifier.
Relationships for an incident configuration.
Relationship to user object.
A unique identifier that represents the user.
Users resource type.
Allowed enum values: users
default: users
Relationship to user object.
A unique identifier that represents the user.
Users resource type.
Allowed enum values: users
default: users
Incident configuration resource type.
Allowed enum values: incidents_configurations
Included related resources.
Attributes of user object returned by the API.
Users resource type.
Allowed enum values: users
default: users
{
"data": {
"attributes": {
"created_at": "2024-01-01T00:00:00.000Z",
"execute_integrations": true,
"execute_notification_rules": true,
"incident_id": "00000000-0000-0000-0000-000000000000",
"include_in_analytics": true,
"include_in_search": true,
"modified_at": "2024-01-01T00:00:00.000Z"
},
"id": "00000000-0000-0000-0000-000000000000",
"relationships": {
"created_by_user": {
"data": {
"id": "00000000-0000-0000-2345-000000000000",
"type": "users"
}
},
"last_modified_by_user": {
"data": {
"id": "00000000-0000-0000-2345-000000000000",
"type": "users"
}
}
},
"type": "incidents_configurations"
},
"included": [
{
"attributes": {
"email": "string",
"handle": "string",
"icon": "string",
"name": "string",
"uuid": "string"
},
"id": "string",
"type": "users"
}
]
}
Bad Request
{
"errors": [
"Bad Request"
]
}
Unauthorized
{
"errors": [
"Bad Request"
]
}
Forbidden
{
"errors": [
"Bad Request"
]
}
Not Found
{
"errors": [
"Bad Request"
]
}
Too many requests
{
"errors": [
"Bad Request"
]
}
Code Example
## default
#
# Path parameters
export incident_id="CHANGE_ME"
# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/${incident_id}/configurations" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
"data": {
"attributes": {
"execute_integrations": true,
"execute_notification_rules": true,
"include_in_analytics": true,
"include_in_search": true
},
"type": "incidents_configurations"
}
}
EOF